Subject: Re: Building ppc/powerpc kernel to run under QEMU.

From: David Gibson <[email-masked]>
Date: Fri, 11 May 2007 11:46:29 +1000

On Thu, May 10, 2007 at 11:07:52PM +0100, Matt Sealey wrote:
> QEMU really really wants a PREP kernel, and that stuff's just not in the new
> arch/powerpc tree anymore is it?

qemu is PReP, eh?  Well that would explain the not working: PReP
hasn't been ported to arch/powerpc yet.  The fact that qemu acts like
a PReP might make doing so rather easier.

> I'd love to see the device tree once QEMU's kernel has booted :D
> 
> I wonder.. would it be useful to have a qemu platform in arch/powerpc and
> for someone to start hacking in devices from a non-emulated point of view?
> It seems a bit of a waste in my mind to emulate a network card, serial port
> IDE interface, ADB (yick!) and a VESA graphics adapter in such 'detail' when
> it can be passed back to the emulation somehow through some kind of clever
> call interface (maybe just have the zero page of the emulation contain a
> bunch of 'ports' which are really function calls pointers..?)

Possibly in the long term.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson